TRACEROUTE(1)

NAME
traceroute - Trace the route to a host

SYNOPSIS
traceroute [OPTION...] HOST

DESCRIPTION
Print the route packets trace to network host.

-f, --first-hop=NUM
    set initial hop distance, i.e., time-to-live

-g, --gateways=GATES
    list of gateways for loose source routing

-I, --icmp
    use ICMP ECHO as probe

-m, --max-hop=NUM
    set maximal hop count (default: 64)

-M, --type=METHOD
    use METHOD (`icmp' or `udp') for traceroute operations, defaulting to `udp'

-p, --port=PORT
    use destination PORT port (default: 33434)

-q, --tries=NUM
    send NUM probe packets per hop (default: 3)

--resolve-hostnames
    resolve hostnames

-t, --tos=NUM
    set type of service (TOS) to NUM

-w, --wait=NUM
    wait NUM seconds for response (default: 3)

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

AUTHOR
Written by Elian Gidoni.

REPORTING BUGS
Report bugs to <bug-inetutils@gnu.org>.

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for traceroute is maintained as a Texinfo manual. If the info and traceroute programs are properly installed at your site, the command

    info traceroute

should give you access to the complete manual.